Description

The Spatial join geoprocess option window has the option to refers this to the selected geometries. I understand this is referred to both
layers (input and cover). In this case, the selected geometries works only with the input. Could it be specified to which layer refers the
selection?

Here an e.g.:
Open gvSIG
Open new View
Add lineal shape layer (/geodata/vector/SHP2D/puente/puente.shp)
Add polygonal shape layer (/geodata/vector/SHP2D/Alicante_Cultivo_ICV_SHP2d/Alicante_Cultivo_ICV_SHP2d.shp)
Select all elements of Alicante_Cultivo_ICV_SHP2d.shp layer
Select the first element of puentes.shp layer
Click in intersection tool from geoprocessing
Select 'Alicante_Cultivo_ICV_SHP2d.shp' as Input layer
Select 'puentes.shp' as Overlay layer
Activate the checkbox of "Selected geometries" 
The results of the intersection are like if we had done the same without activate the "Selected geometries" checkbox.

In this case if the "Selected geometries" options refers to the Input layer, it should be specified at least with a comment.

History
#1 - 10/02/2012 02:14 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 10/04/2012 09:29 AM - Manuel Madrid
- Assignee set to Ignacio Brodín

#3 - 10/17/2012 03:47 PM - Ignacio Brodín
- Status changed from New to Fixed
#4 - 11/15/2012 03:00 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Closed in build 2058
